<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class CompanyProDocument extends Model
{

    protected $table = 'company_pro_document';

    public function companyPro()
    {
        return $this->hasOne(CompanyPro::class, 'id', 'company_pro_id');
    }

    public function company()
    {
        return $this->hasOne(Company::class, 'id', 'company_id');
    }

    public function pro()
    {
        return $this->hasOne(Pro::class, 'id', 'pro_id');
    }

    public function hrmSignature()
    {
        return $this->hasOne(Pro::class, 'id', 'counter_signing_hrm_pro_id');
    }

}
